import re

from setuptools import setup

# test_requirements = ['requests','mock']
test_requirements = []

with open('procinfods/__init__.py', 'r') as fd:
    version = re.search(r'^__version__\s*=\s*[\'"]([^\'"]*)[\'"]',
                        fd.read(), re.MULTILINE).group(1)

setup(name='pid-client',
      version=version,
      author='Dirk Daems, Stephane Tonneau',
      author_email='dirk.daems@vito.be; stephane.tonneau@nrb.be',
      description='General logging framework for PROBA-V MEP',
      url='https://git.vito.be/projects/BIGGEO/repos/pid-python',
      packages=['procinfods'],
      test_suite = 'tests',
      tests_require=test_requirements,
      install_requires=['kafka-python']+test_requirements)
